Subject: bug#23291: Workaround for "25.0.92; Inserting unicode in buffer requiring a different font slows down Emacs"

From: Philippe Crama <[email-masked]>
Date: Fri, 15 Apr 2016 15:17:16 +0200

Eli Zaretskii wrote:
> > 4. Continue typing: the buffer update is slower than before

> I cannot reproduce this on my system.

> > 3. In all versions I tested for this report, C-u x = reports the same
> > information for CIRCLED DIGIT EIGHT (I've replaced the troublesome
> > unicode character by `(8)'):
> > character: (8) (displayed as (8)) (codepoint 9319, #o22147, #x2467)
> > ...
> > display: by this font (glyph code)
> > uniscribe:-outline-BatangChe-normal-normal-normal-mono-13-*-*-*-c-*-gb2312.1980-0 (#xF62)

> Try installing Symbola, that's what Emacs uses on my system for that
> character.

1. downloaded Symbola from http://users.teilar.gr/~g1951d/
2. added this code to my .emacs.d/init.el file:
(let ((unicode-fallback "Symbola"))
  (when (x-list-fonts unicode-fallback)
    (set-fontset-font "fontset-default"
                      'unicode
                      (font-spec :name unicode-fallback))))

And my problem was solved.  Now the font used for CIRCLED DIGIT EIGHT
is -outline-Symbola-normal-normal-normal-serif-13-*-*-*-p-*-iso8859-1

Thanks, Eli!